Operation (Ant Contrib)
Date: 2016-06-25

net.sf.antcontrib.math

## Class Operation

- java.lang.Object
- - net.sf.antcontrib.math.Operation

- All Implemented Interfaces:
    Evaluateable, org.apache.tools.ant.DynamicAttribute, org.apache.tools.ant.DynamicConfigurator, org.apache.tools.ant.DynamicElement

      public class Operation
      extends java.lang.Object
      implements Evaluateable, org.apache.tools.ant.DynamicConfigurator

  Class to represent a mathematical operation.
  Author:
    inger

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Operation()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addConfiguredNum(Numeric numeric)`
    `void` | `addConfiguredNumeric(Numeric numeric)`
    `void` | `addConfiguredOp(Operation operation)`
    `void` | `addConfiguredOperation(Operation operation)`
    `java.lang.Object` | `createDynamicElement(java.lang.String name)`
    `java.lang.Number` | `evaluate()`
    `void` | `setArg1(java.lang.String value)`
    `void` | `setArg2(java.lang.String value)`
    `void` | `setArg3(java.lang.String value)`
    `void` | `setArg4(java.lang.String value)`
    `void` | `setArg5(java.lang.String value)`
    `void` | `setDatatype(java.lang.String datatype)`
    `void` | `setDynamicAttribute(java.lang.String s, java.lang.String s1)`
    `void` | `setOp(java.lang.String operation)`
    `void` | `setOperation(java.lang.String operation)`
    `void` | `setStrict(boolean strict)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Operation

          public Operation()

  - ### Method Detail

    - #### setDynamicAttribute

          public void setDynamicAttribute(java.lang.String s,
                                 java.lang.String s1)
                                   throws org.apache.tools.ant.BuildException

      Specified by:
        `setDynamicAttribute` in interface `org.apache.tools.ant.DynamicAttribute`
      Throws:
        `org.apache.tools.ant.BuildException`

    - #### createDynamicElement

          public java.lang.Object createDynamicElement(java.lang.String name)
                                                throws org.apache.tools.ant.BuildException

      Specified by:
        `createDynamicElement` in interface `org.apache.tools.ant.DynamicElement`
      Throws:
        `org.apache.tools.ant.BuildException`

    - #### setArg1

          public void setArg1(java.lang.String value)

    - #### setArg2

          public void setArg2(java.lang.String value)

    - #### setArg3

          public void setArg3(java.lang.String value)

    - #### setArg4

          public void setArg4(java.lang.String value)

    - #### setArg5

          public void setArg5(java.lang.String value)

    - #### addConfiguredNumeric

          public void addConfiguredNumeric(Numeric numeric)

    - #### addConfiguredOperation

          public void addConfiguredOperation(Operation operation)

    - #### addConfiguredNum

          public void addConfiguredNum(Numeric numeric)

    - #### addConfiguredOp

          public void addConfiguredOp(Operation operation)

    - #### setOp

          public void setOp(java.lang.String operation)

    - #### setOperation

          public void setOperation(java.lang.String operation)

    - #### setDatatype

          public void setDatatype(java.lang.String datatype)

    - #### setStrict

          public void setStrict(boolean strict)

    - #### evaluate

          public java.lang.Number evaluate()

      Specified by:
        `evaluate` in interface `Evaluateable`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`